> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kiotapay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Send Money Item API

> Fetches all send money transactions.

# Get All Send Money Transactions API

This API retrieves all send money transactions for a given company.

## Endpoint

GET /api/sandbox/v1/send-money/all

### Base URL

[`https://api.kiotapay.co`](https://api.kiotapay.co)

|

## **Request Headers**

| Key             | Value                 | Required | Description                                                        |
| --------------- | --------------------- | -------- | ------------------------------------------------------------------ |
| `Content-Type`  | `application/json`    | ✅        | Specifies that the request body is in JSON format.                 |
| `Authorization` | `Bearer <your-token>` | ✅        | API authentication token. Replace `<your-token>` with a valid JWT. |

## Interactive API

<InteractiveApi
  method="GET"
  url="https://api.kiotapay.co/api/sandbox/v1/send-money/all"
  queryParameters={[
{
name: "companyId",
type: "string",
description: "The ID of the company whose send money transactions are to be fetched.",
required: true,
example: "4d6e1ea9-5ab8-496a-978f-7e9b2bce80c4"
}
]}
/>

## Example Curl Request

```bash theme={null}
curl --location 'https://api.kiotapay.co/api/sandbox/v1/send-money/all
```

**Example Response**

```json theme={null}
{
    "status": 200,
    "message": "Success",
    "data": [
        {
            "id": 2,
            "amount": 1000.0,
            "uuid": "70494779-cb4c-4138-8ba8-28be0a6fb098",
            "organisation": {
                "id": 2,
                "uuid": "4d6e1ea9-5ab8-496a-978f-7e9b2bce80c4",
                "name": "Maina Properties Limited Ke",
                "phoneNumber": "254745362174",
                "email": "maina@gmail.com",
                "uniqueReference": "4780606",
                "createdAt": "2025-01-24T13:35:12.151225",
                "updatedAt": "2025-01-24T13:35:12.151225"
            },
            "phoneNumber": "254745362174",
            "remarks": "Here are the remarks",
            "occasion": null,
            "originatorConversationId": "a76019cb-4ea5-4921-9a89-5f56aecac92e",
            "conversationId": "",
            "callbackUrl": "https://kiotapay.co.ke",
            "createdAt": "2025-01-24T16:26:21.69219",
            "updatedAt": "2025-01-24T16:26:21.69219",
            "status": "PENDING",
            "responseCode": 0,
            "receiverName": null,
            "transactionReceipt": null
        },
        {
            "id": 3,
            "amount": 1000.0,
            "uuid": "cd3e5b37-8f23-465e-a720-b2a78f2b62c1",
            "organisation": {
                "id": 2,
                "uuid": "4d6e1ea9-5ab8-496a-978f-7e9b2bce80c4",
                "name": "Maina Properties Limited Ke",
                "phoneNumber": "254745362174",
                "email": "maina@gmail.com",
                "uniqueReference": "4780606",
                "createdAt": "2025-01-24T13:35:12.151225",
                "updatedAt": "2025-01-24T13:35:12.151225"
            },
            "phoneNumber": "254745362174",
            "remarks": "Here are the remarks",
            "occasion": null,
            "originatorConversationId": "7ad84f2f-4f0b-4110-afac-2009f07f531a",
            "conversationId": "",
            "callbackUrl": "https://kiotapay.co.ke",
            "createdAt": "2025-01-24T16:28:00.319643",
            "updatedAt": "2025-01-24T16:28:00.319643",
            "status": "PENDING",
            "responseCode": 0,
            "receiverName": null,
            "transactionReceipt": null
        },
        {
            "id": 4,
            "amount": 1000.0,
            "uuid": "fb89a98f-20a9-4a7a-9bb2-bf7ca478f644",
            "organisation": {
                "id": 2,
                "uuid": "4d6e1ea9-5ab8-496a-978f-7e9b2bce80c4",
                "name": "Maina Properties Limited Ke",
                "phoneNumber": "254745362174",
                "email": "maina@gmail.com",
                "uniqueReference": "4780606",
                "createdAt": "2025-01-24T13:35:12.151225",
                "updatedAt": "2025-01-24T13:35:12.151225"
            },
            "phoneNumber": "254745362174",
            "remarks": "Here are the remarks",
            "occasion": null,
            "originatorConversationId": "540c0a05-11e1-4f00-b66f-6691502cc80a",
            "conversationId": "",
            "callbackUrl": "https://kiotapay.co.ke",
            "createdAt": "2025-01-29T20:33:22.196554",
            "updatedAt": "2025-01-29T20:33:22.196554",
            "status": "PENDING",
            "responseCode": 0,
            "receiverName": null,
            "transactionReceipt": null
        }
    ]
}
```
